:root,
[data-bs-theme="light"] {
    --bs-body-font-size: 14px;
    --lte-sidebar-width: 210px;
}

.app-main {
    background-color: #fff !important;
}

.sidebar-menu .nav-link p {
    padding-left: 0.1rem;
}

.nav {
    --bs-nav-link-padding-x: 0.3rem;
    --bs-nav-link-padding-y: 0.5rem;
}

.sidebar-brand .brand-link .brand-image-xs {
    max-height: 40px;
    margin-top: 10px;
    left: 12px;
}

body {
    font-size: 14px;
}

.sidebar-expand-lg.layout-fixed .app-sidebar {
    border-right: 1px solid var(--bs-border-color);
}

.fixed-header .app-header,
.sidebar-brand {
    height: 57px;
}

.logo-xl.brand-image-xs {
    top: 0px;
    left: 22px;
    opacity: 1 !important;
}

.navbar-expand .navbar-nav {
    flex-direction: row;
    align-items: center;
    gap: 16px;
}

.sidebar-brand .brand-link .brand-image-xl {
    box-shadow: none !important;
    max-height: 44px;
    margin-top: 0;
    opacity: 1 !important;
    margin-top: -2px;
}

i.bi.bi-list.menu-icon {
    font-size: 20px;
    color: #000;
}

.app-header .nav-link {
    display: flex;
    align-items: center;
    padding: 6px 12px !important;
    height: 2.2rem;
}

.app-header .profile-icon {
    padding: 0 !important;
}

.navbar-nav>.user-menu .user-image {
    margin-top: 0;
    width: 38px;
    height: 35px;
    border: 1px solid #ccc;
    box-shadow: none !important;
    border-radius: 4px !important;
    margin-right: 0;
    object-fit: cover;
}

.header-btn {
    min-width: 44px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-btn .nav-link {
    border: 1px solid #dee2e6;

    border-radius: 4px;
    background: #fab92030;
    color: #000;
}

.navbar-badge {
    top: -4px;
    right: -2px;
    padding: 2px 2px;
    font-size: 0.6rem;
}

.header-btn .nav-link i.bi {
    font-size: 16px !important;
}

.project-logo {
    width: auto;
    height: 28px;
    object-fit: cover;
}

.project-btn .nav-link {
    justify-content: center;
    font-weight: 500;
    gap: 6px;
    min-width: 120px;
}

.dropdown-project-select {
    width: 44px;
    height: 44px;
    border-radius: 4px !important;
    background: #fef2d5;
    object-fit: contain;
    padding: 2px;
    border: 1px solid #ccc;
    margin-right: 8px;
}

.dropdown-item-title {
    font-size: 14px;
}

.sidebar-wrapper .sidebar-menu>.nav-item>.nav-link.active:not(:hover) {
    background-color: #ffe8e8;
}

.sidebar-wrapper .sidebar-menu>.nav-item>.nav-link.active:hover {
    background-color: #ffe8e8;
}

a.nav-link.active:before {
    border-left: 4px solid #e81158;
    content: "";
    position: absolute;
    left: 0;
    height: 100%;
    top: 0;
}
.nav-menu-icon {
    gap: 6px !important;
}

/* .text-bg-primary {
    color: #fff !important;
    background-color: #e81158 !important;
} */

.offcanvas-header {
    border-bottom: 1px solid #ccc;
}

.offcanvas-body .notifications {
    display: flex;
    flex-direction: column;
    gap: 8px;
    border-bottom: 1px solid #ccc;
    padding: 16px 0;
    justify-content: space-between;
    text-decoration: none;
    color: #9d2935;
    cursor: pointer; /* makes it feel clickable */
    transition: all 0.2s ease; /* smooth hover */
}

    .offcanvas-body .notifications:hover {
        background-color: #f5f7ff; /* highlight on hover */
        padding-left: 8px; /* slight movement = modern UI feel */
    }

    .offcanvas-body .notifications div {
        font-weight: 500;
    }

    .offcanvas-body .notifications:hover div {
        text-decoration: underline; /*link indication */
    }


.offcanvas-body .notifications:first-child {
    padding-top: 0;
}

.navbar-nav .profile-box.user-body a:hover {
    background: #dee2e6 !important;
}

.offcanvas-header-title {
    display: flex;
    align-items: center;
    gap: 8px;
}

.notifications-count {
    background: #ffc107;
    padding: 6px 6px;
    width: 32px;
    height: 32px;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: #e81158;
}

.input-group-sm>.form-control,
.input-group-sm>.form-select,
.input-group-sm>.input-group-text,
.input-group-sm>.btn {
    padding: 6px 8px;
    font-size: 14px;
}



.btn {
    padding: 6px 8px;
}

a.btn {
    padding: 6px 8px;
}

table .btn {
    padding: 4px 8px;
}

.input-group-sm>.form-control,
.input-group-sm>.form-select,
.input-group-sm>.input-group-text,
.input-group-sm>.btn {
    font-size: 14px;
}

.modal-title {
    font-size: 18px;
}

.flex-box-header {
    display: flex;
    align-items: center;
    gap: 12px;
    font-weight: 500;
    font-size: 14px;
}

.header-icon {
    width: 20px;
}

.flex-header-icon {
    display: flex;
    align-items: center;
    gap: 4px;
}

.filter-section {
    display: flex;
    align-items: center;
    gap: 12px;
    justify-content: flex-end;
}

.filter-section .input-group-sm {
    width: 180px;
}

.filter-section .input-group-sm.date-select {
    width: 200px;
}

.filter-section .input-group-sm input.form-control {
    font-size: 14px;
}

.flex-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 18px;
}

th {
    vertical-align: middle;
    font-weight: 500;
}

.form-control {
    font-size: 14px;
}

.form-control.attendance-result:disabled {
    background-color: #4caf50;
    height: 34px;
    color: #fff;
    font-size: 16px;
}

.btn {
    min-width: 100px;
    box-shadow: none;
}

.btn-primary {
    background-color: #e81158;
    border-color: #e81158;
    color: #fff;
}

.btn-primary:hover {
    background-color: #ad073f;
    border-color: #e81158;
    color: #fff;
}

.btn-primary:active,
.btn-primary:checked,
.btn-primary:focus {
    background-color: #e81158 !important;
    border-color: #e81158 !important;
}

.form-control:focus {
    border-color: #ffc107;
    outline: 0;
    box-shadow: none;
}

.task-filter-btn {
    padding: 6px 16px;
    border: 1px solid #ccc;
    cursor: pointer;
}

.gap-0 {
    gap: 0;
}

.task-filter-btn.active,
.task-filter-btn.active:hover {
    background: #e81158;
    color: #fff;
    border-color: #e81158;
}

.task-filter-btn:hover {
    background: #ff9800;
    color: #fff;
    border-color: #ff9800;
}

.add-note-input-box {
    background-color: #fff;

    background-size: 20px;
    padding: 18px 42px 18px 54px;
    border-radius: 6px 6px 0 0;
}

.add-note-wrapper {
    position: relative;
}

.add-note-wrapper::before {
    content: "+";
    position: absolute;
    left: 14px;
    top: 11%;
    font-size: 36px;
    font-weight: 500;
    line-height: 1;
}

.form-control.add-note-input-box::placeholder {
    color: var(--bs-body-color);
    opacity: 1;
    font-size: 16px;
    font-weight: 400;
}

.add-note-form {
    border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: 0px 0px 6px 6px;
    padding: 6px 8px;
    display: flex;
    align-items: center;
    gap: 2px;
    border-top: 0;
    justify-content: space-between;
}

.add-note-input-box-button .btn {
    font-size: 14px;
    display: flex;
    align-items: center;
    padding: 4px 6px;
}

.add-note-input-box-icon {
    width: auto;
    height: 20px;
    object-fit: cover;
}

.add-note-input-box-button .btn::after {
    display: none;
}

.dropdown.add-note-input-box-button {
    display: flex;
    align-items: center;
}

.add-note-input-box-button .btn-icon::before {
    content: "";
    background-size: contain;
    margin-right: 6px;
    height: 16px;
    width: 16px;
    background-repeat: no-repeat;
}

.select-contractor-btn-icon::before {
    background-image: url(../assets/img/labour.png);
}

.select-role-btn-icon::before {
    background-image: url(../assets/img/role.png);
}

.due-date-btn-icon::before {
    background-image: url(../assets/img/calendar.png);
}

.reminder-btn-icon::before {
    background-image: url(../assets/img/reminder.png);
}

.photo-btn-icon::before {
    background-image: url(../assets/img/image-gallery.png);
}

.add-note-input-box-button li {
    padding-bottom: 8px;
    padding-top: 8px;
    border-bottom: 1px solid #ccc;
    font-size: 14px;
}

.add-note-input-box-button li:last-child {
    border-bottom: 0;
}

.add-note-input-box-button ul.dropdown-menu.show {
    padding-top: 0;
    padding-bottom: 0;
}

.date-wrapper {
    position: relative;
    display: inline-block;
    width: 200px;
}

.date-wrapper input {
    width: 100%;
    padding-right: 36px;
}

.date-wrapper .custom-icon {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 18px;
    color: gray;
    pointer-events: none;
}

.custom-gallery-modal {
    display: none;
    position: fixed;
    z-index: 9999;
    padding-top: 80px;
    padding-bottom: 80px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.9);
}

.gallery-content {
    margin: auto;
    width: 90%;
    max-width: 1000px;
    position: relative;
}

.gallery-slide {
    display: none;
}

.gallery-close {
    color: #fff;
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 35px;
    cursor: pointer;
}

.gallery-prev,
.gallery-next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    padding: 16px;
    color: #fff;
    font-weight: bold;
    font-size: 20px;
    user-select: none;
    transform: translateY(-50%);
}

.gallery-next {
    right: 0;
}

.project-img {
    width: 100%;
    height: 100%;
    cursor: pointer;
    object-fit: cover;
}

.gallery-column {
    margin-bottom: 16px;
    border-radius: 4px;
    border: 4px solid #e3e3e3;
    height: 110px;
}

.upload-image-icon {
    width: auto;
    height: 40px;
}

.upload-image-icon-column {
    height: 110px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 5px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
}

.upload-file-info {
    display: block;
    font-size: 14px;
    font-weight: normal;
}

.gallery-column.upload-image-icon-column.upload-image-icon-btn-style {
    flex-direction: row;
    height: auto;
    font-size: 14px;
    border: 1px solid #e3e3e3;
    margin-bottom: 0;
    padding: 4px 6px;
}

.upload-image-icon-btn-style .upload-image-icon {
    height: 24px;
}

.gallery-content {
    margin: auto;
    max-width: 100%;
    position: relative;
    width: 65%;
    height: auto;
}

table.table-attendance thead th {
    padding-top: 8px !important;
    padding-bottom: 8px !important;
}

thead th {
    background-color: #63636317 !important;
    padding-top: 12px !important;
    padding-bottom: 12px !important;
}

.text-warning {
    color: #ff9800 !important;
}

.text-danger {
    color: #dd0707 !important;
}

.task-offcanvas-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.offcanvas-header-icon-box {
    display: flex;
    align-items: center;
    gap: 6px;
}

.task-body-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.task-status-off-canvas {
    border-radius: 40px;
    padding: 2px 12px;
    font-weight: 500;
}

.status-overdue {
    background: #fad4d4;
}

.status-completed {
    background: #dfffd5;
}

.status-pending {
    background: #ffc26783;
}

textarea {
    resize: none;
}

.gallery-column.project-img-thumbnail-sm {
    width: 66px;
    height: 50px;
    border: 2px solid #e3e3e3;
    position: relative;
}

.off-canvas-gallery {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 14px;
    flex-wrap: wrap;
}

.offcanvas-footer {
    padding: 1rem;
}

.gallery-column:after {
    content: "X";
    position: absolute;
    margin-left: -14px;
    margin-top: -8px;
    font-size: 13px;
    font-weight: 600;
    background: #c50000;
    color: #fff;
    border-radius: 50px;
    width: 21px;
    height: 21px;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
}

.gallery-column.upload-image-icon-column:after {
    display: none;
    visibility: hidden;
}

.off-canvas-gallery.attached-img .gallery-column:after {
    display: none;
    visibility: hidden;
}

.input-group:focus-within .form-control,
.input-group:focus-within .input-group-text {
    border-color: #ffc107 !important;
}

.add-note-form-body {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.add-note-form .btn-success {
    min-width: 68px;
    margin-right: 2px;
    padding-top: 2px;
    padding-bottom: 2px;
}

.btn-task-assigned {
    border: 1px solid #ccc;
    font-size: 14px;
    padding: 6px 8px;
    min-width: 72px;
    color: var(--lte-sidebar-color);
    display: flex;
    align-items: center;
    gap: 3px;
    justify-content: center;
}

.btn-task-assigned.active:after {
    content: "X";
    font-size: 14px;
    font-weight: 600;
    background: #c50000;
    color: #fff;
    border-radius: 50px;
    width: 17px;
    height: 17px;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.btn-filter {
    /* border: 1px solid #ccc; */
    font-size: 14px;
    padding: 6px 8px;
    min-width: 80px;
    width: auto;
    color: var(--lte-sidebar-color);
    display: flex;
    align-items: center;
    gap: 3px;
    justify-content: center;
}

.btn-filter.active:after {
    content: "X";
    font-size: 14px;
    font-weight: 600;
    background: #c50000;
    color: #fff;
    border-radius: 50px;
    width: 17px;
    height: 17px;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 4px;
}


.offcanvas-header.filter-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.sidebar-none .app-sidebar {
    display: none;
}

.nav-back-icon {
    font-weight: bolder !important;
    font-size: 24px;
}

.nav-back-icon .bi-arrow-left::before {
    font-weight: bolder !important;
}

.contractor-category-icon {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: space-between;
    padding: 10px 20px;

    color: #000;
    border-bottom: 1px solid #ccc;
    cursor: pointer;
}

.contractor-category-icon.active {
    background-color: #ffecd2;
}

.contractor-category-icon.active:hover {
    background-color: #ffecd2;
}

.contractor-category-icon:hover {
    background-color: #ccc;
}

.contractor-select-left-side-bar {
    border-right: 1px solid #ccc;
    background: #fff;
    overflow: hidden;
    height: calc(100vh - 57px);
    overflow-y: auto;
    padding-bottom: 30px !important;
    position: fixed;
    top: 57px;
    width: 25%;
}

.task-advice-seciton-body {
    width: 75%;
    margin-left: 25%;
}

.contractor-pending-count {
    display: flex;
    align-items: center;
    gap: 14px;
}

.assigned-count {
    background: #ff5722;
    text-align: center;
    color: #fff;
    border-radius: 12px;
    padding: 4px;
    min-width: 28px;
}

.contractor-select-left-side-bar::-webkit-scrollbar {
    width: 8px;
}

.contractor-select-left-side-bar::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
}

.contractor-select-left-side-bar::-webkit-scrollbar-thumb {
    background-color: #b0b0b0;
    border-radius: 10px;
    border: 2px solid #f1f1f1;
}

.contractor-select-left-side-bar::-webkit-scrollbar-thumb:hover {
    background-color: #888;
}

.form-select:focus {
    box-shadow: none;
    border-color: #ffc107 !important;
}

.cursor-pointer {
    cursor: pointer;
}

.form-check-input:checked {
    background-color: #e81158;
    border-color: #e81158;
}

.form-check-input:focus {
    box-shadow: 0 0 0 0.25rem rgb(233 30 99 / 38%);
}

.login-box,
.register-box {
    width: 360px;
    width: 400px;
}

#siteDropdown:focus-within {
    background: #fff;
    box-shadow: none;
    border: 1px solid #ffc107 !important;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}


input[type="number"] {
    -moz-appearance: textfield;
}

.border-top-divider {
    border-top: 1px solid #ccc;
    margin-top: 10px;
}

.small-box-icon.small-box-icon-img {
    width: 30px;
    height: auto;
    /* opacity: 0.1 !important; */
    top: 13px;
}

.small-box.text-bg-danger {
    background: #3F51B5 !important;
}

.dashboard-card .small-box {
     box-shadow: 0 4px 4px rgba(0, 0, 0, 0.10);
}


/* .dashboard-card .small-box {
    box-shadow: none;
    color: #212529 !important;
    border: 1px solid #ccc;
}

.dashboard-card .text-bg-primary {
    background-color: #d9ebff !important;
    border: 1px solid #8fb8e5;
}
.dashboard-card .text-bg-warning {
    background-color: #fff3d2 !important;
}

.dashboard-card .text-bg-danger {
    background-color: #f9e6ff !important;
    border: 1px solid #ce8ce3;
}

.dashboard-card .text-bg-warning {
    background-color: #fff3d2 !important;
    border: 1px solid #e5c469;
}

.small-box-icon.small-box-icon-img {
    width: 40px;
    height: auto;
    opacity: 0.1 !important;
    top: 13px;
} */



.sidebar-wrapper a {
    color: #1e282c !important;
}

/* sidebar css start */
.menu-icons {
    width: 18px;
    margin-right: 5px;
}

.sidebar-wrapper {
    padding: 0;
}

.sidebar-wrapper .sidebar-menu .nav-item>.nav-link {
    align-items: center;
    margin-bottom: 0;
    padding: 12px 14px;
    border-bottom: 1px solid #ccc;
    border-radius: 0;
}

.sidebar-collapse .sidebar-menu .nav-item>.nav-link {
    width: 100%;
    justify-content: center;
}

.sidebar-open {
    justify-content: flex-start;
}

.sidebar-mini.sidebar-collapse .app-sidebar:hover .sidebar-menu .nav-link {
    justify-content: flex-start;
}

.sidebar-mini.sidebar-collapse .menu-icons {
    margin-right: 0;
}

/* sidebar css end */
.filter-reset:after {
    content: "X";
    font-size: 14px;
    font-weight: 600;
    background: #c50000;
    color: #fff;
    border-radius: 50px;
    width: 17px;
    height: 17px;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 4px;
}

.group-reset:after {
    content: "X";
    font-size: 14px;
    font-weight: 600;
    background: #c50000;
    color: #fff;
    border-radius: 50px;
    width: 17px;
    height: 17px;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 4px;
    position: absolute;
    right: 10px;
    top: 9px;
}
.select-group-reset{
        position: relative;
}